package com.glxp.sale.admin.dao.basic;

import com.glxp.sale.admin.entity.basic.UdiInfoEntity;
import com.glxp.sale.admin.req.basic.FilterUdiInfoRequest;
import com.glxp.sale.admin.res.basic.UdiRelevanceResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdiInfoDao {

    List<UdiInfoEntity> filterUdiInfo(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiRelevanceResponse> filterUdiInfo2(FilterUdiInfoRequest filterUdiInfoRequest);

    UdiInfoEntity findByNameCode(@Param("nameCode") String nameCode);

    UdiInfoEntity findById(@Param("id") String id);

    UdiInfoEntity findByUuid(@Param("uuid") String uuid);

    List<UdiInfoEntity> findByUuids(@Param("uuid") String uuid);

    boolean insertUdiInfo(UdiInfoEntity udiInfoEntity);

    boolean insertUdiInfos(@Param("udiInfoEntities") List<UdiInfoEntity> udiInfoEntities);

    boolean updateUdiInfo(UdiInfoEntity udiInfoEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByUuid(@Param("uuid") String uuid);

}
