package com.glxp.sale.admin.dao.info;

import com.glxp.sale.admin.entity.info.AliCertEntity;
import com.glxp.sale.admin.req.info.DeleteAliCertRequest;
import com.glxp.sale.admin.req.info.FilterAliCertRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AliCertDao {

    boolean insertAliCert(AliCertEntity aliCertEntity);

    boolean insertAliCertList(@Param("aliCertEntities") List<AliCertEntity> aliCertEntities);

    List<AliCertEntity> filterAliCert(FilterAliCertRequest filterAliCertRequest);

    boolean deleteAliCert(DeleteAliCertRequest deleteAliCertRequest);
}
