package com.glxp.sale.admin.dao.info;

import com.glxp.sale.admin.entity.info.CompanyCertEntity;
import com.glxp.sale.admin.req.info.FilterCompanyCertRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CompanyCertDao {

    List<CompanyCertEntity> filterCompanyCert(FilterCompanyCertRequest filterCompanyCertRequest);

    CompanyCertEntity findCompanyCert(Long CustomerId);

    CompanyCertEntity findCompanyCertByName(String name);

    List<CompanyCertEntity> getCompanyCert(FilterCompanyCertRequest filterCompanyCertRequest);

    boolean updateCompanyCert(CompanyCertEntity companyCertEntity);

    boolean insertCompanyCert(CompanyCertEntity companyCertEntity);

    boolean deleteById(String id);
}
