package com.glxp.sale.admin.dao.info;

import com.glxp.sale.admin.entity.info.CompanySalesmanEntity;
import com.glxp.sale.admin.req.info.FilterCompanySalesmanRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CompanySalesmanDao {

    List<CompanySalesmanEntity> filterCompanySalesman(FilterCompanySalesmanRequest filterCompanySalesmanRequest);

    CompanySalesmanEntity findCompanySalesman(Long CustomerId);

    CompanySalesmanEntity findCompanySalesmanByName(String name);

    List<CompanySalesmanEntity> getCompanySalesman(FilterCompanySalesmanRequest filterCompanySalesmanRequest);

    boolean updateCompanySalesman(CompanySalesmanEntity companySalesmanEntity);

    boolean insertCompanySalesman(CompanySalesmanEntity companySalesmanEntity);

    boolean deleteById(String id);
}
