package com.glxp.sale.admin.dao.info;

import com.glxp.sale.admin.entity.info.CompanyUpdateLogEntity;
import com.glxp.sale.admin.req.info.FilterCompanyUpdateLogRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CompanyUpdateLogDao {

    List<CompanyUpdateLogEntity> filterCompanyUpdateLog(FilterCompanyUpdateLogRequest filterCompanyUpdateLogRequest);

    CompanyUpdateLogEntity findCompanyUpdateLog(Long CustomerId);

    CompanyUpdateLogEntity findCompanyUpdateLogBySubmit(String submit);

    List<CompanyUpdateLogEntity> getCompanyUpdateLog(FilterCompanyUpdateLogRequest filterCompanyUpdateLogRequest);

    boolean updateCompanyUpdateLog(CompanyUpdateLogEntity companyUpdateLogEntity);

    boolean insertCompanyUpdateLog(CompanyUpdateLogEntity companyUpdateLogEntity);

    boolean deleteById(String id);
}
