package com.glxp.sale.admin.dao.info;

import com.glxp.sale.admin.entity.info.SupplierEnterpriseBasicCertEntity;
import com.glxp.sale.admin.req.info.FilterSuppliersEnterpriseBasicCertRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SuppliersEnterpriseBasicCertDao {

    List<SupplierEnterpriseBasicCertEntity> filterCompanyCert(FilterSuppliersEnterpriseBasicCertRequest filterSuppliersEnterpriseBasicCertRequest);

    SupplierEnterpriseBasicCertEntity findCompanyCert(Long enterpriseId);

    SupplierEnterpriseBasicCertEntity findCompanyCertByName(String name);

    List<SupplierEnterpriseBasicCertEntity> getCompanyCert(FilterSuppliersEnterpriseBasicCertRequest filterSuppliersEnterpriseBasicCertRequest);

    boolean updateCompanyCert(SupplierEnterpriseBasicCertEntity supplierEnterpriseBasicCertEntity);

    boolean insertCompanyCert(SupplierEnterpriseBasicCertEntity supplierEnterpriseBasicCertEntity);

    boolean deleteById(String id);

    boolean deleteByEnterpriseId(@Param("enterpriseId") String enterpriseId);
}
