package com.glxp.sale.admin.dao.inout;

import com.glxp.sale.admin.entity.inout.WarehouseEntity;
import com.glxp.sale.admin.req.inout.WarehouseQueryRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CodesTempDao {

    int insertCodesTemp(@Param("codes") List<WarehouseEntity> warehouseEntities);

    int insertCodesTempSingle(WarehouseEntity warehouseEntitie);

    int updateById(WarehouseEntity warehouseEntitie);

    int deleteCodesTemp(@Param("codes") List<Long> warehouseEntities);

    int deleteCodesTempById(WarehouseEntity warehouseEntitie);

    List<WarehouseEntity> findByOrderId(WarehouseQueryRequest warehouseQueryRequest);

    List<WarehouseEntity> findByOrderIdAndCode(WarehouseQueryRequest warehouseQueryRequest);

}
