package com.glxp.sale.admin.dao.inventory;

import com.glxp.sale.admin.entity.basic.StockPrintEntity;
import com.glxp.sale.admin.req.basic.FilterStockprintRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InvStockPrintDao {

    List<StockPrintEntity> filterStockPrint(FilterStockprintRequest filterStockprintRequest);

    StockPrintEntity findByNameCode(@Param("nameCode") String nameCode);

    StockPrintEntity findByRlId(FilterStockprintRequest udiRlIdFk);

    boolean insertStockPrint(StockPrintEntity stockPrintEntity);

    boolean insertStockPrints(@Param("stockPrintEntities") List<StockPrintEntity> stockPrintEntities);

    boolean updateStockPrint(StockPrintEntity udiInfoEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByGenKey(@Param("genKey") String genKey);

    boolean deleteByOrderId(@Param("sOrderId") String sOrderId);

    boolean updatePrintStatus(@Param("ids") List<String> ids);


}
