package com.glxp.sale.admin.req.inout;

import com.glxp.sale.admin.entity.inout.WarehouseEntity;
import lombok.Data;

import java.util.List;

@Data
public class PostOrderRequest {
    List<PostOrder> postOrders;
    int submitType;//0：提交，1：保存
    String oldOrderId;//保存再编辑后再保存或提交，根据旧id删除旧数据。

    public List<PostOrder> getPostOrder() {
        return postOrders;
    }

    public void setPostOrder(List<PostOrder> postOrder) {
        this.postOrders = postOrder;
    }

    public int getSubmitType() {
        return submitType;
    }

    public void setSubmitType(int submitType) {
        this.submitType = submitType;
    }

    public String getOldOrderId() {
        return oldOrderId;
    }

    public void setOldOrderId(String oldOrderId) {
        this.oldOrderId = oldOrderId;
    }

    public static class PostOrder {
        public List<String> erpOrders;
        List<WarehouseEntity> codes;
        private String billType;
        private String orderId;

        public String getStockIdFk() {
            return stockIdFk;
        }

        public void setStockIdFk(String stockIdFk) {
            this.stockIdFk = stockIdFk;
        }

        private String stockIdFk;

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public String getBillType() {
            return billType;
        }

        public void setBillType(String billType) {
            this.billType = billType;
        }

        public List<String> getErpOrders() {
            return erpOrders;
        }

        public void setErpOrders(List<String> erpOrders) {
            this.erpOrders = erpOrders;
        }

        public List<WarehouseEntity> getCodes() {
            return codes;
        }

        public void setCodes(List<WarehouseEntity> codes) {
            this.codes = codes;
        }
    }

}
