package com.glxp.sale.admin.service.auth;


import com.glxp.sale.admin.entity.auth.AuthRole;
import com.glxp.sale.admin.req.auth.AuthRoleQueryRequest;

import java.util.List;

public interface AuthRoleService {

    List<AuthRole> listAdminPage(AuthRoleQueryRequest authRoleQueryRequest);

    List<AuthRole> listAuthAdminRolePage(Integer page, Integer limit, Integer status);

    AuthRole findByName(String name);

    boolean insertAuthRole(AuthRole authRole);

    boolean updateAuthRole(AuthRole authRole);

    List<AuthRole> listCustomerRoles(Integer page, Integer limit, Integer isCustomer);

    List<AuthRole> listAuthRoles2(Integer page, Integer limit);

    boolean deleteById(Long id);

}
