package com.glxp.sale.admin.service.basic;


import com.glxp.sale.admin.entity.basic.UdiInfoEntity;
import com.glxp.sale.admin.req.basic.FilterUdiInfoRequest;
import com.glxp.sale.admin.res.basic.UdiRelevanceResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UdiInfoService {

    List<UdiInfoEntity> filterUdiInfo(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiRelevanceResponse> filterUdiInfo2(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiInfoEntity> filterAllUdiInfo(FilterUdiInfoRequest filterUdiInfoRequest);

    UdiInfoEntity findByNameCode(String nameCode);

    UdiInfoEntity findById(@Param("id") String id);

    UdiInfoEntity findByUuid(String uuid);

    List<UdiInfoEntity> findByUuids(String uuid);

    boolean insertUdiInfo(UdiInfoEntity udiInfoEntity);

    boolean insertUdiInfos(List<UdiInfoEntity> udiInfoEntities);

    boolean updateUdiInfo(UdiInfoEntity udiInfoEntity);

    boolean deleteById(String id);

    boolean deleteByUuid(String uuid);

}
