package com.glxp.sale.admin.service.basic;


import com.glxp.sale.admin.entity.basic.UdiRelevanceEntity;
import com.glxp.sale.admin.req.basic.FilterUdiInfoRequest;
import com.glxp.sale.admin.res.basic.UdiRelevanceResponse;

import java.util.List;

public interface UdiRelevanceService {

    List<UdiRelevanceResponse> filterUdiRelevance(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiRelevanceEntity> filterUdiEntity(FilterUdiInfoRequest filterUdiInfoRequest);

    boolean isExit();

    List<UdiRelevanceResponse> filterUdiGp(FilterUdiInfoRequest filterUdiInfoRequest);

    boolean isExitByUuid(String uuid);

    List<UdiRelevanceEntity> selectByUuid(String uuid);

    UdiRelevanceEntity selectById(String id);

    UdiRelevanceResponse selectGroupById(String id);

    UdiRelevanceEntity selectUpdateByUuid(String uuid);

    UdiRelevanceEntity selectUpdateByThirdId(String thirdId);

    UdiRelevanceEntity selectUpteaByAll(String uuid, String thirdId);

    UdiRelevanceEntity selectByThirdId(String thirdId, String thirdSys);

    boolean insertUdiRelevance(UdiRelevanceEntity udiRelevanceEntity);

    boolean updateUdiRelevance(UdiRelevanceEntity udiRelevanceEntity);

    boolean deleteById(String id);

    boolean deleteByIds(List<String> id);

    boolean deleteByUuid(String uuid);

}
