package com.glxp.sale.admin.service.info;


import com.glxp.sale.admin.entity.info.CompanyCertEntity;
import com.glxp.sale.admin.entity.info.CompanySalesmanEntity;
import com.glxp.sale.admin.req.info.FilterCompanyCertRequest;
import com.glxp.sale.admin.req.info.FilterCompanySalesmanRequest;

import java.util.List;

public interface CompanySalesmanService {

    List<CompanySalesmanEntity> filterCompanySalesman(FilterCompanySalesmanRequest filterCompanySalesmanRequest);

    CompanySalesmanEntity findCompanySalesman(Long CustomerId);

    CompanySalesmanEntity findCompanySalesmanByName(String name);

    List<CompanySalesmanEntity> getCompanySalesman(FilterCompanySalesmanRequest filterCompanySalesmanRequest);

    boolean updateCompanySalesman(CompanySalesmanEntity companyCertEntity);

    boolean insertCompanySalesman(CompanySalesmanEntity companyCertEntity);

    boolean deleteById(String id);
}
