package com.glxp.sale.admin.service.info;


import com.glxp.sale.admin.entity.info.CompanyCertEntity;
import com.glxp.sale.admin.entity.info.SupplierEnterpriseBasicCertEntity;
import com.glxp.sale.admin.req.info.FilterCompanyCertRequest;
import com.glxp.sale.admin.req.info.FilterSuppliersEnterpriseBasicCertRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SuppliersEnterpriseBasicCertService {

    List<SupplierEnterpriseBasicCertEntity> filterCompanyCert(FilterSuppliersEnterpriseBasicCertRequest filterSuppliersEnterpriseBasicCertRequest);

    SupplierEnterpriseBasicCertEntity findCompanyCert(Long enterpriseId);

    SupplierEnterpriseBasicCertEntity findCompanyCertByName(String name);

    List<SupplierEnterpriseBasicCertEntity> getCompanyCert(FilterSuppliersEnterpriseBasicCertRequest filterSuppliersEnterpriseBasicCertRequest);

    boolean updateCompanyCert(SupplierEnterpriseBasicCertEntity supplierEnterpriseBasicCertEntity);

    boolean insertCompanyCert(SupplierEnterpriseBasicCertEntity supplierEnterpriseBasicCertEntity);

    boolean deleteById(String id);

    boolean deleteByEnterpriseId(@Param("enterpriseId") String enterpriseId);
}
