package com.glxp.sale.admin.service.info;

import com.glxp.sale.admin.entity.info.SuppliersRegistrationBasicEntity;
import com.glxp.sale.admin.req.info.SuppliersRegistrationBasicRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SuppliersRegistrationBasicService {

    SuppliersRegistrationBasicEntity findRegistration(Long id);

    SuppliersRegistrationBasicEntity findRegistrationByName(String recordProductName);

    List<SuppliersRegistrationBasicEntity> getRegistration(SuppliersRegistrationBasicRequest suppliersRegistrationBasicRequest);

    boolean modifyRegistration(SuppliersRegistrationBasicEntity suppliersRegistrationBasicEntity);

    boolean insertRegistration(SuppliersRegistrationBasicEntity suppliersRegistrationBasicEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByEnterpriseId(@Param("enterpriseId") String enterpriseId);
}