package com.glxp.sale.admin.service.info.impl;

import com.glxp.sale.admin.dao.info.SetupDao;
import com.glxp.sale.admin.entity.info.SetupEntity;
import com.glxp.sale.admin.service.info.SetupService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class SetupServiceImpl implements SetupService {
    @Resource
    SetupDao setupDao;

    @Override
    public SetupEntity findSetup(String customerId) {
        return setupDao.findSetup(customerId);
    }

    @Override
    public boolean modifySetup(SetupEntity setupEntity) {
        return setupDao.modifySetup(setupEntity);
    }

    @Override
    public boolean insertSetup(SetupEntity setupEntity) {
        return setupDao.insertSetup(setupEntity);
    }
}
