package com.glxp.sale.admin.service.inout;

import com.glxp.sale.admin.entity.inout.WarehouseEntity;
import com.glxp.sale.admin.req.inout.WarehouseQueryRequest;

import java.util.List;

public interface CodesService {
    List<WarehouseEntity> listWarehouse(WarehouseQueryRequest warehouseQueryRequest);

    boolean insertWarehouse(WarehouseEntity warehouseEntity);

    boolean insertWarehouses(List<WarehouseEntity> warehouseEntities);


    List<WarehouseEntity> findByNo(WarehouseQueryRequest warehouseQueryRequest);

    boolean isExits(WarehouseEntity warehouseEntity);

    List<WarehouseEntity> findByOrderId(WarehouseQueryRequest warehouseQueryRequest);


    List<WarehouseEntity> findAllByOrderId(WarehouseQueryRequest warehouseQueryRequest);

    List<WarehouseEntity> findByReceiptId(String orderId);

    List<WarehouseEntity> findByCode(String code);

    boolean updateOrderId(String oldOrderId, String newOrderId);

    List<WarehouseEntity> searchCode(String code);

    boolean updateUnit(String orderId, String fromCorpId, String fromCorp);
}
