package com.glxp.sale.admin.service.param;


import com.glxp.sale.admin.entity.param.SystemPDFTemplateEntity;
import com.glxp.sale.admin.entity.param.SystemPDFTemplateRelevanceEntity;

import java.util.List;

public interface SystemPDFTemplateRelevanceService {

    List<SystemPDFTemplateRelevanceEntity> listByCustomerId(Long customerId);

    List<SystemPDFTemplateRelevanceEntity> listByCustomerIdIn(List<Long> customerIds);

    List<SystemPDFTemplateRelevanceEntity> listByTemplateId(int templateId);

    int insertSystemPDFTemplateRelevanceAll(List<SystemPDFTemplateRelevanceEntity> systemPDFTemplateRelevanceEntityList);

    boolean insert(SystemPDFTemplateRelevanceEntity systemPDFTemplateRelevanceEntity);

    int insertRolesCustomerIdAll(List<Integer> templates, Long customerId);

    boolean deleteByCustomerId(Long customerId);

}
