package com.glxp.sale.admin.service.param;

import com.glxp.sale.admin.entity.param.SystemParamConfigEntity;
import com.glxp.sale.admin.req.param.SystemParamConfigRequest;
import com.glxp.sale.admin.req.param.SystemParamConfigSaveRequest;

import java.util.List;


public interface SystemParamConfigService {

    List<SystemParamConfigEntity> queryPage(SystemParamConfigRequest SystemParamConfigRequest);

    SystemParamConfigEntity selectSystemParamConfig();

    SystemParamConfigEntity findSystemParamConfig(SystemParamConfigRequest SystemParamConfigRequest);

    SystemParamConfigEntity selectByParamName(SystemParamConfigRequest systemParamConfigRequest);

    SystemParamConfigEntity selectByParamKey(SystemParamConfigRequest systemParamConfigRequest);

    SystemParamConfigEntity selectByParamKey(String key);

    String  selectValueByParamKey(String  key);

    boolean updateById(SystemParamConfigSaveRequest systemParamConfigSaveRequest);

    boolean updateParentId(SystemParamConfigSaveRequest systemParamConfigSaveRequest);

    boolean insert(SystemParamConfigEntity systemParamConfigEntity);
}
