package com.glxp.sale.admin.constant;

public class ConstantStatus {

    //订单状态
    public static final Integer ORDER_STATUS_TEMP_SAVE = -1;   //等待提交
    public static final Integer ORDER_STATUS_PROCESS = 1;   //等待处理
    public static final Integer ORDER_STATUS_CHECK = 2;     //等待校验
    public static final Integer ORDER_STATUS_FAIL = 3;      //重码校验失败
    public static final Integer ORDER_STATUS_SUCCESS = 4;   //已校验

    //ERP校验状态
    public static final Integer ORDER_CHECK_SUCCESS = 2;    //校验成功
    public static final Integer ORDER_CHECK_FAIL = 1;       //校验失败
    public static final Integer ORDER_CHECK_UN = 0;       //未校验

    //ERP订单上传状态
    public static final Integer ORDER_EXPORT_UN = 0;    //未导出
    public static final Integer ORDER_EXPORT_ED = 1;    //已导出
    public static final Integer ORDER_EXPORT_FAIL = 2;    //导出失败

    //ERP订单签字状态
    public static final Integer ORDER_SIGN_UN = 0;    //未签字
    public static final Integer ORDER_SIGN_ED = 1;    //已签字
    public static final Integer ORDER_SIGN_FAIL = 2;    //签字失败


    //业务单据状态
    public static String SORDER_DRAFT = "1";//草稿
    public static String SORDER_ALLOC = "2";//未配货
    public static String SORDER_CHECK = "3";//待校验
    public static String SORDER_CHECKED = "4";//已校验

    public static String SORDER_PRINT_UN = "101";//101：未打印，102：已打印
    public static String SORDER_PRINT_ED = "102";//


    //业务单据来源
    public static String ST_WEB_ADD = "1";      //前端新增
    public static String ST_THIRD_SEL = "2";    //第三方选入
    public static String ST_SCAN_ADD = "3";     //扫码单据转换

    //业务单据详情，DI绑定状态
    public static int ORDER_DETAIL_DI_MUTI = 1;
    public static int ORDER_DETAIL_DI_ONE = 0;

}
