package com.glxp.sale.admin.constant;

public interface TypeConstant {

    String TYPE_PUT_PRODUCT = "ProduceWareHouseIn";     //生产入库
    String TYPE_PUT_PURCHASE = "PurchaseWareHouseIn";    //采购入库
    String TYPE_PUT_RETURN = "ReturnWareHouseIn";      //退货入库
    String TYPE_PUT_ALLOT = "AllocateWareHouseIn";       //调拨入库

    String TYPE_OUT_SALE = "SalesWareHouseOut";        //销售出库
    String TYPE_OUT_RETURN = "ReturnWareHouseOut";      //退货出库
    String TYPE_OUT_ALLOT = "AllocateWareHouseOut";       //调拨出库
    String TYPE_OUT_DESTORY = "DestoryWareHouseOut";     //销毁出库
    String TYPE_OUT_STRAIGHT = "DirectAllocateWareHouseOut";    //直调出库
    String TYPE_OUT_REWORK = "ReworkWareHouseOut";      //返工出库
    String TYPE_OUT_CHECK = "CheckWareHouseOut";           //盘点 抽检出库
    String TYPE_CODE_REPLACE = "CodeReplace";    //码替换
    String TYPE_CODE_DESTORY = "CodeDestory";    //码注销
    String TYPE_STOCK_CHECK = "StockCheck"; //盘点

    String TYPE_PUT = "WareHouseIn";             //出库
    String TYPE_OUT = "WareHouseOut";             //入库


    String SALE_OUT = "321";     //零售出库 (321)
    String RETURNN_IN = "103";   //退货入库
    String PURCHASE_IN = "102";  //采购入库
    String RETURN_OUT = "202";   //退货出库
    String SUPPLY_IN = "107";    //供应入库
    String SUPPLY_OUT = "209";   //供应出库
    String DESTORY_OUT = "205";  //销毁出库
    String CHECK_OUT = "206";    //抽检出库
    String VACCINE = "322";      //疫苗接种 (322)


    //状态
    //1.未校验，已校验，校验异常：process,success,error
    String CHECKED = "checked";//已校验

    String UP_NOT_UPLOAD = "up_not_upload";//  上游未上传
    String NOT_STOCK = "not_stock";     //无码库存

    String UN_UPLOAD = "un_upload"; //未上传
    String UPLOADED = "uploaded";   //已上传
    String UPLOAD_FAIL = "upload_fail"; //上传失败
    String DEAL_FAIL = "deal_fail"; //上传处理异常

    String DEAL_SUCCESS = "deal_success";   //上传处理成功
    String DL_FAIL = "dl_fail";//下载异常
    String DOWNLOADED = "downloaded";//已完成
    String FINISHED = "finished";//已完成
    String REMOVE = "remove";
}
