package com.glxp.sale.admin.dao.auth;

import com.glxp.sale.admin.entity.auth.CustomerDetailEntity;
import com.glxp.sale.admin.entity.auth.CustomerInfoEntity;
import com.glxp.sale.admin.req.auth.CustomerInfoFilterRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CustomerInfoDao {


    List<CustomerInfoEntity> filterCustomerInfo(CustomerInfoFilterRequest customerInfoFilterRequest);
    List<CustomerDetailEntity> filterDetailCustomerInfo(CustomerInfoFilterRequest customerInfoFilterRequest);


    boolean insertCustomerInfo(CustomerInfoEntity customerInfoEntity);

    boolean updateCustomerInfo(CustomerInfoEntity customerInfoEntity);

    boolean modifyCustomerInfo(CustomerDetailEntity customerDetailEntity);

    boolean deleteById(Long customerId);

    CustomerInfoEntity selectById(Long customerId);

    CustomerDetailEntity selectDetail(Long customerId);
}
