package com.glxp.sale.admin.dao.basic;

import com.glxp.sale.admin.entity.basic.BasicUnitMaintainEntity;
import com.glxp.sale.admin.req.basic.BasicUnitMaintainFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BasicUnitMaintainDao {
    List<BasicUnitMaintainEntity> filterList(BasicUnitMaintainFilterRequest basicUnitMaintainFilterRequest);

    boolean insertBasicUnitMaintain(BasicUnitMaintainEntity basicUnitMaintainEntity);

    boolean insert(BasicUnitMaintainEntity basicUnitMaintainEntity);

    boolean updateById(BasicUnitMaintainEntity basicUnitMaintainSaveRequest);

    BasicUnitMaintainEntity selectByThirdId(BasicUnitMaintainFilterRequest basicUnitMaintainFilterRequest);

    boolean deleteById(@Param("id") String id);

    BasicUnitMaintainEntity selectById(@Param("id") String id);

    BasicUnitMaintainEntity selectByName(@Param("name") String name);
}
