package com.glxp.sale.admin.dao.basic;

import com.glxp.sale.admin.entity.basic.CorpImportDetailEntity;
import com.glxp.sale.admin.req.basic.FilterUdiIpLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CorpImportDetailDao {

    List<CorpImportDetailEntity> filterCorpImport(FilterUdiIpLogRequest filterUdiIpLogRequest);

    boolean insertCorpImport(CorpImportDetailEntity corpImportDetailEntity);

    boolean updateCorpImport(CorpImportDetailEntity corpImportDetailEntity);

    boolean insertCorpImports(@Param("corps") List<CorpImportDetailEntity> corpImportDetailEntities);

    boolean deleteById(@Param("id") String id);

    boolean deleteByGenkey(@Param("genKey") String genKey);

}
