package com.glxp.sale.admin.dao.info;

import com.glxp.sale.admin.entity.info.CompanySalesmanUpdateLogEntity;
import com.glxp.sale.admin.req.info.FilterCompanySalesmanUpdateLogRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CompanySalesmanUpdateLogDao {

    List<CompanySalesmanUpdateLogEntity> filterCompanySalesmanUpdateLog(FilterCompanySalesmanUpdateLogRequest filterCompanySalesmanUpdateLogRequest);

    CompanySalesmanUpdateLogEntity findCompanySalesmanUpdateLog(Long CustomerId);

    CompanySalesmanUpdateLogEntity findCompanySalesmanUpdateLogBySubmit(String submit);

    List<CompanySalesmanUpdateLogEntity> getCompanySalesmanUpdateLog(FilterCompanySalesmanUpdateLogRequest filterCompanySalesmanUpdateLogRequest);

    boolean updateCompanySalesmanUpdateLog(CompanySalesmanUpdateLogEntity companySalesmanUpdateLogEntity);

    boolean insertCompanySalesmanUpdateLog(CompanySalesmanUpdateLogEntity companySalesmanUpdateLogEntity);

    boolean deleteById(String id);
}
