package com.glxp.sale.admin.dao.info;

import com.glxp.sale.admin.entity.info.DeviceKeyEntity;
import com.glxp.sale.admin.req.info.DeleteRequest;
import com.glxp.sale.admin.req.info.FilterDeviceKeyRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DeviceKeyDao {
    DeviceKeyEntity findDeviceByImei(FilterDeviceKeyRequest filterDeviceKeyRequest);

    List<DeviceKeyEntity> findDeviceKey(FilterDeviceKeyRequest filterDeviceKeyRequest);

    void insertDeviceKey(DeviceKeyEntity deviceKeyEntity);

    void updateDeviceKey(DeviceKeyEntity deviceKeyEntity);
    void updateDeviceKeyByImei(DeviceKeyEntity deviceKeyEntity);
    void deleteDeviceKey(DeleteRequest deleteRequest);

}
