package com.glxp.sale.admin.dao.info;

import com.glxp.sale.admin.entity.info.SuppliersEnterpriseBasicEntity;
import com.glxp.sale.admin.req.info.SuppliersEnterpriseBasicRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SuppliersEnterpriseBasicDao {

    SuppliersEnterpriseBasicEntity findCompany(Long id);

    SuppliersEnterpriseBasicEntity findCompanyByName(String companyName);

    List<SuppliersEnterpriseBasicEntity> getCompany(SuppliersEnterpriseBasicRequest suppliersEnterpriseBasicRequest);

    boolean modifyCompany(SuppliersEnterpriseBasicEntity suppliersEnterpriseBasicEntity);

    boolean insertCompany(SuppliersEnterpriseBasicEntity suppliersEnterpriseBasicEntity);

    boolean deleteById(@Param("id") String id);
}
