package com.glxp.sale.admin.dao.inventory;

import com.glxp.sale.admin.entity.inventory.InCodeLogEntity;
import com.glxp.sale.admin.req.inventory.FilterInCodeLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InCodeLogDao {
    List<InCodeLogEntity> filterInCodeLog(FilterInCodeLogRequest filterInCodeLogRequest);

    boolean insertInCodeLog(InCodeLogEntity stockCheckEntity);

    boolean updateInCodeLog(InCodeLogEntity stockCheckEntity);

    boolean deleteById(@Param("id") String id);
}
