package com.glxp.sale.admin.dao.inventory;

import com.glxp.sale.admin.entity.basic.ErpStockEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InvErpStockDao {

    ErpStockEntity findByCode(@Param("code") String code, @Param("batchNo") String batchNo);

    boolean insertErpStock(ErpStockEntity stockPrintEntity);

    boolean insertErpStocks(@Param("erpStockEntities") List<ErpStockEntity> erpStockEntities);

    boolean updateErpStock(ErpStockEntity udiInfoEntity);

    boolean deleteById(@Param("id") String id);


}
