package com.glxp.sale.admin.dao.param;

import com.glxp.sale.admin.entity.param.SystemParamConfigEntity;
import com.glxp.sale.admin.req.basic.BasicUnitMaintainSaveRequest;
import com.glxp.sale.admin.req.param.SystemParamConfigRequest;
import com.glxp.sale.admin.req.param.SystemParamConfigSaveRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SystemParamConfigDao {
    List<SystemParamConfigEntity> queryPage(SystemParamConfigRequest systemParamConfigRequest);

    SystemParamConfigEntity findSystemParamConfig(SystemParamConfigRequest systemParamConfigRequest);

    SystemParamConfigEntity selectByParamName(SystemParamConfigRequest systemParamConfigRequest);

    SystemParamConfigEntity selectByParamKey(SystemParamConfigRequest systemParamConfigRequest);

    SystemParamConfigEntity selectByParamKey(@Param("paramKey") String paramKey);

    String  selectValueByParamKey(String  key);

    boolean updateById(SystemParamConfigSaveRequest systemParamConfigSaveRequest);

    boolean updateParentId(SystemParamConfigSaveRequest systemParamConfigSaveRequest);

    boolean insert(SystemParamConfigEntity systemParamConfigEntity);

}
