package com.glxp.sale.admin.dao.thrsys;

import com.glxp.sale.admin.entity.thrsys.ThrOrderDetailEntity;
import com.glxp.sale.admin.req.thrsys.FilterThrOrderDetailRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThrOrderDetailDao {

    List<ThrOrderDetailEntity> filterThrOrderDetailDetail(FilterThrOrderDetailRequest filterThrOrderDetailRequest);

    boolean insertThrOrderDetail(ThrOrderDetailEntity thrOrderDetailEntity);

    boolean insertThrOrderDetails(@Param("thrOrderDetailEntities") List<ThrOrderDetailEntity> thrOrderDetailEntities);

    boolean updateThrOrderDetail(ThrOrderDetailEntity thrOrderDetailEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByOrderIdFk(@Param("orderIdFk") String orderIdFk);

    boolean deleteAll();

}
