package com.glxp.sale.admin.dao.thrsys;

import com.glxp.sale.admin.entity.thrsys.ThrProductsEntity;
import com.glxp.sale.admin.req.thrsys.FilterThrProductsRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThrProductsDao {


    List<ThrProductsEntity> filterThrProductsRequest(FilterThrProductsRequest filterThrProductsRequest);

    ThrProductsEntity selectById(@Param("id") String id);

    boolean insertThrProducts(ThrProductsEntity thrProductsEntity);

    boolean insertThrProductss(@Param("thrProductsEntities") List<ThrProductsEntity> thrProductsEntities);

    boolean updateThrProducts(ThrProductsEntity thrProductsEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteAll();
}
