package com.glxp.sale.admin.entity.info;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class SuppliersRegistrationBasicEntity {

    private Long id;
    private Long enterpriseId;
    private String recordCode;
    private String recordProductName;
    private String productManageType;
    private String recordPeopleName;
    private String recordPeopleArea;
    private String recordPeopleAreaCode;
    private String recordPeopleAddress;
    private String productType;
    private String productDirectoryCode;
    private String agentName;
    private String agentArea;
    private String agentAreaCode;
    private String agentAddress;
    private String instructions;
    private String productAddress;
    private String recordText;
    private String placeOrigin;
    private String productionRegion;
    private String productionCompanyName;
    private String afterSale;
    private String specification;
    private String structure;
    private String scope;
    private String other;
    private String filePath;
    private String remark;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date create_date;
    private Date update_date;

    private String newFilePath;
    private String newInstructions;
}
