package com.glxp.sale.admin.res.inout;

import java.util.List;

public class ErpOrderResponse {

    private Integer id;
    private String billNo;
    private String billdate;
    private String corpId;
    private String corpName;
    private String billType;
    private boolean signFlag;
    private String billFlag;
    private String unitIdFk;
    private String customerId;
    private List<SubErpOrder> subErpOrders;

    public String getUnitIdFk() {
        return unitIdFk;
    }

    public void setUnitIdFk(String unitIdFk) {
        this.unitIdFk = unitIdFk;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getBilldate() {
        return billdate;
    }

    public void setBilldate(String billdate) {
        this.billdate = billdate;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public boolean isSignFlag() {
        return signFlag;
    }

    public void setSignFlag(boolean signFlag) {
        this.signFlag = signFlag;
    }

    public List<SubErpOrder> getSubErpOrders() {
        return subErpOrders;
    }

    public void setSubErpOrders(List<SubErpOrder> subErpOrders) {
        this.subErpOrders = subErpOrders;
    }

    public String getBillFlag() {
        return billFlag;
    }

    public void setBillFlag(String billFlag) {
        this.billFlag = billFlag;
    }

    public static class SubErpOrder {
        private String productId;
        private String productName;
        private String spec;
        private String batchNo;
        private String expireDate;
        private String productDate;
        private int count;  //账面数量
        private int reCount;    //实际数量
        private String sweepCount;
        private String ylqxzcrbarmc;
        private String zczbhhzbapzbh;

        public String getProductId() {
            return productId;
        }

        public void setProductId(String productId) {
            this.productId = productId;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getSpec() {
            return spec;
        }

        public void setSpec(String spec) {
            this.spec = spec;
        }

        public String getBatchNo() {
            return batchNo;
        }

        public void setBatchNo(String batchNo) {
            this.batchNo = batchNo;
        }

        public String getExpireDate() {
            return expireDate;
        }

        public void setExpireDate(String expireDate) {
            this.expireDate = expireDate;
        }

        public String getProductDate() {
            return productDate;
        }

        public void setProductDate(String productDate) {
            this.productDate = productDate;
        }

        public int getCount() {
            return count;
        }

        public void setCount(int count) {
            this.count = count;
        }

        public int getReCount() {
            return reCount;
        }

        public void setReCount(int reCount) {
            this.reCount = reCount;
        }

        public String getSweepCount() {
            return sweepCount;
        }

        public void setSweepCount(String sweepCount) {
            this.sweepCount = sweepCount;
        }

        public String getYlqxzcrbarmc() {
            return ylqxzcrbarmc;
        }

        public void setYlqxzcrbarmc(String ylqxzcrbarmc) {
            this.ylqxzcrbarmc = ylqxzcrbarmc;
        }

        public String getZczbhhzbapzbh() {
            return zczbhhzbapzbh;
        }

        public void setZczbhhzbapzbh(String zczbhhzbapzbh) {
            this.zczbhhzbapzbh = zczbhhzbapzbh;
        }
    }

}
