package com.glxp.sale.admin.service.auth;

import com.glxp.sale.admin.entity.auth.UserRegisterEntity;
import com.glxp.sale.admin.req.auth.UserResisterFilterRequest;

import java.util.List;

public interface UserRegisterService {

    List<UserRegisterEntity> filterUserRegisters(UserResisterFilterRequest userResisterFilterRequest);

    boolean insertUserRegister(UserRegisterEntity userRegisterEntity);

    boolean updateUserRegister(UserRegisterEntity userRegisterEntity);

    boolean deleteById(Long id);

    UserRegisterEntity selectById(Integer id);

    UserRegisterEntity selectByMobile(String phone);

    boolean isExit(String phoneNum);

    boolean deleteByCustomerId(Long id);

    UserRegisterEntity selectByCustomerId(Long id);
}
