package com.glxp.sale.admin.service.auth.impl;


import com.glxp.sale.admin.entity.auth.CustomerContactEntity;
import com.glxp.sale.admin.req.auth.CustomerContactFilterRequest;
import com.glxp.sale.admin.req.info.DeleteRequest;

import java.util.List;

public interface CustomerContactService {

    List<CustomerContactEntity> filterCustomerContact(CustomerContactFilterRequest userResisterFilterRequest);

    boolean insertCustomerContact(CustomerContactEntity customerContactEntity);

    boolean updateCustomerContact(CustomerContactEntity customerContactEntity);

    boolean deleteById(Long id);

    boolean deleteContact(DeleteRequest deleteRequest);

    CustomerContactEntity selectById(Long emailId);
}
