package com.glxp.sale.admin.service.info;


import com.glxp.sale.admin.entity.info.AliKeyEntity;
import com.glxp.sale.admin.entity.info.CompanyCertEntity;
import com.glxp.sale.admin.entity.info.CompanyEntity;
import com.glxp.sale.admin.entity.inout.StockOrderDetailEntity;
import com.glxp.sale.admin.req.info.FilterCompanyCertRequest;
import com.glxp.sale.admin.req.info.FilterCompanyRequest;
import com.glxp.sale.admin.req.inout.StockOrderDetailFilterRequest;

import java.util.List;

public interface CompanyCertService {

    List<CompanyCertEntity> filterCompanyCert(FilterCompanyCertRequest filterCompanyCertRequest);

    CompanyCertEntity findCompanyCert(Long CustomerId);

    CompanyCertEntity findCompanyCertByName(String name);

    List<CompanyCertEntity> getCompanyCert(FilterCompanyCertRequest filterCompanyCertRequest);

    boolean updateCompanyCert(CompanyCertEntity companyCertEntity);

    boolean insertCompanyCert(CompanyCertEntity companyCertEntity);

    boolean deleteById(String id);
}
