package com.glxp.sale.admin.service.info;


import com.glxp.sale.admin.entity.info.CompanySalesmanUpdateLogEntity;
import com.glxp.sale.admin.entity.info.CompanyUpdateLogEntity;
import com.glxp.sale.admin.req.info.FilterCompanySalesmanUpdateLogRequest;
import com.glxp.sale.admin.req.info.FilterCompanyUpdateLogRequest;

import java.util.List;

public interface CompanyUpdateLogService {

    List<CompanyUpdateLogEntity> filterCompanyUpdateLog(FilterCompanyUpdateLogRequest filterCompanyUpdateLogRequest);

    CompanyUpdateLogEntity findCompanyUpdateLog(Long CustomerId);

    CompanyUpdateLogEntity findCompanyUpdateLogBySubmit(String submit);

    List<CompanyUpdateLogEntity> getCompanyUpdateLog(FilterCompanyUpdateLogRequest filterCompanyUpdateLogRequest);

    boolean updateCompanyUpdateLog(CompanyUpdateLogEntity companyUpdateLogEntity);

    boolean insertCompanyUpdateLog(CompanyUpdateLogEntity companyUpdateLogEntity);

    boolean deleteById(String id);
}
