package com.glxp.sale.admin.service.info;

import com.glxp.sale.admin.entity.info.DeviceKeyEntity;
import com.glxp.sale.admin.req.info.DeleteRequest;
import com.glxp.sale.admin.req.info.FilterDeviceKeyRequest;

import java.util.List;

public interface DeviceKeyService {
    List<DeviceKeyEntity> findDeviceKey(FilterDeviceKeyRequest filterDeviceKeyRequest);
    DeviceKeyEntity findDeviceByImei(FilterDeviceKeyRequest filterDeviceKeyRequest);
    void insertDeviceKey(DeviceKeyEntity deviceKeyEntity);

    void updateDeviceKeyByImei(DeviceKeyEntity deviceKeyEntity);

    void updateDeviceKey(DeviceKeyEntity deviceKeyEntity);

    void deleteDeviceKey(DeleteRequest deleteRequest);

}
