package com.glxp.sale.admin.service.info.impl;

import com.glxp.sale.admin.dao.info.AliCertDao;
import com.glxp.sale.admin.entity.info.AliCertEntity;
import com.glxp.sale.admin.req.info.DeleteAliCertRequest;
import com.glxp.sale.admin.req.info.FilterAliCertRequest;
import com.glxp.sale.admin.service.info.AliCertService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AliCertServiceImpl implements AliCertService {


    @Resource
    AliCertDao aliCertDao;

    @Override
    public boolean insertAliCert(AliCertEntity aliCertEntity) {
        return aliCertDao.insertAliCert(aliCertEntity);
    }

    @Override
    public boolean insertAliCertList(List<AliCertEntity> aliCertEntities) {
        return aliCertDao.insertAliCertList(aliCertEntities);
    }

    @Override
    public List<AliCertEntity> filterAliCert(FilterAliCertRequest filterAliCertRequest) {
        return aliCertDao.filterAliCert(filterAliCertRequest);
    }

    @Override
    public boolean deleteAliCert(DeleteAliCertRequest deleteAliCertRequest) {
        return aliCertDao.deleteAliCert(deleteAliCertRequest);
    }
}
