package com.glxp.sale.admin.service.info.impl;

import com.glxp.sale.admin.dao.info.ApilogDao;
import com.glxp.sale.admin.entity.info.ApilogEntity;
import com.glxp.sale.admin.req.info.DeleteApilogRequest;
import com.glxp.sale.admin.service.info.ApilogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
@Service
public class ApilogServiceImpl implements ApilogService {

    @Resource
    ApilogDao apilogDao;

    @Override
    public boolean insertApilog(ApilogEntity apilogEntity) {
        return apilogDao.insertApilog(apilogEntity);
    }

    @Override
    public boolean updateApilog(ApilogEntity apilogEntity) {
        return apilogDao.updateApilog(apilogEntity);
    }

    @Override
    public boolean deleteApilog(DeleteApilogRequest deleteApilogRequest) {
        return apilogDao.deleteApilog(deleteApilogRequest);
    }

    @Override
    public boolean addApilog(ApilogEntity apilogEntity) {
        return apilogDao.addApilog(apilogEntity);
    }
}
