package com.glxp.sale.admin.service.inout;

import com.glxp.sale.admin.entity.inout.StockOrderDetailEntity;
import com.glxp.sale.admin.entity.inout.StockQRCodeTextEntity;
import com.glxp.sale.admin.req.inout.StockOrderDetailFilterRequest;
import com.glxp.sale.admin.req.inout.StockQRCodeTextFilterRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StockQRCodeTextService {

    List<StockQRCodeTextEntity> filterStockQRCodeText(StockQRCodeTextFilterRequest stockQRCodeTextFilterRequest);

    boolean insertStockQRCodeText(StockQRCodeTextEntity stockQRCodeTextEntity);

    boolean insertStockQRCodeTexts(@Param("StockQRCodeTextEntities") List<StockQRCodeTextEntity> StockQRCodeTextEntitys);

    boolean updateById(StockQRCodeTextEntity stockQRCodeTextEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByOrderId(@Param("id") String id);

    StockQRCodeTextEntity findOne(@Param("id") String id);
}
