package com.glxp.sale.admin.service.thrsys;


import com.glxp.sale.admin.entity.inout.ErpOrderEntity;
import com.glxp.sale.admin.entity.thrsys.ThrOrderEntity;
import com.glxp.sale.admin.req.thrsys.FilterThrOrderRequest;
import com.glxp.sale.admin.res.inout.ErpOrderResponse;

import java.util.List;

public interface ThrOrderService {

    List<ThrOrderEntity> filterThrOrder(FilterThrOrderRequest filterThrOrderRequest);

    List<ErpOrderEntity> filterAllOrders(List<String> billNos, String action);

    List<ErpOrderResponse> filterAllDetail(FilterThrOrderRequest filterThrOrderRequest);

    ThrOrderEntity findByUnique(String billNo, String thirdSysFk);

    ThrOrderEntity findById(String id);

    boolean insertThrOrder(ThrOrderEntity thrCorpEntity);

    boolean insertThrOrders(List<ThrOrderEntity> thrOrderEntities);

    boolean updateThrOrder(ThrOrderEntity thrOrderEntity);

    boolean deleteById(String id);

    boolean deleteAll();
}
