package com.glxp.sale.admin.upload;

import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.imageio.ImageIO;
import javax.servlet.http.HttpServletResponse;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.OutputStream;

@RestController
public class ImageController {

    @GetMapping(value = "/udiwms/image/register/file/getImage")
    public void getImage(HttpServletResponse response
            , @RequestParam String type
            , @RequestParam String name) throws IOException {
        OutputStream os = null;
        try {
            // 读取图片
            BufferedImage image = ImageIO.read(
                    new FileInputStream(new File("d:/1s/udiwms/register/file/" + type + "/" + name)));
            response.setContentType("image/png");
            os = response.getOutputStream();

            if (image != null) {
                ImageIO.write(image, "png", os);
            }
        } catch (IOException e) {

        } finally {
            if (os != null) {
                os.flush();
                os.close();
            }
        }
    }
}